class CreatePaymentMethodSettings < ActiveRecord::Migration[5.1]
  def change
    create_table :payment_method_settings do |t|
      t.string :payment_method, :null => false
      t.boolean :is_active, :null => false, :default => false
      t.string :gateway_communication_type, :null => false, :default => "api"
      t.string :gateway_url
      t.string :auth_token
      t.string :merchant_account_id
      t.string :additional_parameters
      t.timestamps
    end
  end
end
